Loading...
Searching...
No Matches
VectorizeLoops.h File Reference

Defines the lowering pass that vectorizes loops marked as such. More...

`#include "Expr.h"`
`#include "Function.h"`
`#include <map>`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::vectorize_loops (const Stmt &s, const std::map< std::string, Function > &env)
| Take a statement with for loops marked for vectorization, and turn them into single statements that operate on vectors.

## Detailed Description

Defines the lowering pass that vectorizes loops marked as such.

Definition in file VectorizeLoops.h.